hostname element
password klfzebra3
enable password klfzebra3
log stdout
!log file /var/log/ospfd.log
!log record-priority
!service advanced-vty
!
interface lo
!
interface dummy0
 description router ip
 ip ospf cost 10
!
interface eth0
 description Dobra-SKY
 ip ospf cost 300
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
interface vlan260
 description Dobra-Biodobra-Element
 ip ospf cost 100
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
interface vlan100
 description Dobra-Dobra2
 ip ospf cost 300
 ip ospf priority 1
 ip ospf authentication message-digest
 ip ospf message-digest-key 1 md5 test
!
router ospf
 ospf router-id 10.102.146.2
passive-interface vlan259
passive-interface vlan275
passive-interface vlan276
passive-interface vlan277
  network 10.102.203.8/29 area 9
  network 10.102.147.24/29 area 9
  network 10.102.149.128/27 area 9

passive-interface vlan400
passive-interface vlan401
passive-interface vlan300
passive-interface vlan301
!
! PEEROVE SUBNETY NA OKOLNI ROUTERY
!
  network 10.102.146.0/29 area 9
  network 10.102.203.232/29 area 9
!
! MISTNI SEKTORY a LANKY
!
  network 10.102.146.16/28 area 9
  network 10.102.146.8/29 area 9
  network 10.102.146.32/27 area 9
  network 10.102.149.160/27 area 9
  network 10.102.149.0/26 area 9
  network 10.102.146.128/25 area 9
  network 10.102.146.64/26 area 9
  network 10.218.14.0/25 area 9
!dobra 2
  network 10.102.147.0/29 area 9
  network 10.102.147.32/27 area 9
  network 10.102.147.64/27 area 9
  network 10.102.147.96/27 area 9
  network 10.102.147.128/25 area 9 
!
access-list net-10 permit 10.102.0.0/16
access-list net-10 permit 10.218.0.0/16
access-list net-10 permit 192.168.0.0/16
access-list net-10 deny 192.168.123.0/24
access-list net-10 deny 192.168.0.0/24
access-list term permit 127.0.0.1/32
access-list term deny any
!
route-map just-10 permit 10
 match ip address net-10
!
line vty
 access-class term
